Bug 645386 - CVE-2010-3846 cvs: Heap-based buffer overflow by applying RCS file changes [fedora-all]
Summary: CVE-2010-3846 cvs: Heap-based buffer overflow by applying RCS file changes [f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cvs
Version: 13
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 617037 (view as bug list)
Depends On:
Blocks: CVE-2010-3846
TreeView+ depends on / blocked
 
Reported: 2010-10-21 13:03 UTC by Jan Lieskovsky
Modified: 2010-11-05 11:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-05 11:40:20 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-10-21 13:03:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=642146

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Pisar 2010-10-21 15:26:30 UTC
*** Bug 617037 has been marked as a duplicate of this bug. ***

Comment 2 Petr Pisar 2010-10-26 17:14:04 UTC
Commited and build in:

cvs-1.11.23-11.fc15
cvs-1.11.23-11.fc14
cvs-1.11.23-10.fc13
cvs-1.11.23-9.fc12

Comment 3 Petr Pisar 2010-11-01 10:42:15 UTC
cvs-1.11.23-10.fc13 stable on 2010-10-28.

Comment 4 Petr Pisar 2010-11-02 07:40:51 UTC
cvs-1.11.23-9.fc12 stable on 2010-11-01.

Comment 5 Petr Pisar 2010-11-05 11:40:20 UTC
cvs-1.11.23-11.fc14 stable on 2010-11-04.


Note You need to log in before you can comment on or make changes to this bug.